import org.junit.jupiter.api.Test;
import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.concurrent.TimeUnit;

import static org.junit.jupiter.api.Assertions.assertEquals;

public class Tests {

    @Test
    public void LoginTest() throws InterruptedException{
        System.setProperty("webdriver.chrome.driver", "/Users/xlu/Documents/java-collections-fundamentals/chromedriver");
        WebDriver driver = new ChromeDriver();
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
        HomePage homepage = new HomePage(driver, "https://www.safeway.com/");
        homepage.navigatetoSignIn();
        LoginPage login = new LoginPage(driver);
        login.login("vkrijegccvsknuvnpv@miucce.com", "12345678");
        homepage.verifyLoggedIn();
        driver.close();
    }

    @Test
    public void AccountTest() throws InterruptedException{
        System.setProperty("webdriver.chrome.driver", "/Users/xlu/Documents/java-collections-fundamentals/chromedriver");
        WebDriver driver = new ChromeDriver();
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
        HomePage homepage = new HomePage(driver, "https://www.safeway.com/");
        homepage.navigatetoAccount();
        AccountPage account = new AccountPage(driver);
        account.verifyUserInfo();
        driver.close();
    }
}
